vgp.surface.common

## Class PwSurface

- java.lang.Object
- - jv.object.PsObject
  - - jvx.project.PjWorkshop
    - - vgp.surface.common.PwSurface

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf, PjWorkshopIf

      public class PwSurface
      extends PjWorkshop

  Provides selection and creation of classic surface in a workshop.
  Since:
    JavaView v4.70.010
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    26.10.16, 1.00 created (kp)

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

    - ### Fields inherited from interface jv.project.PjWorkshopIf

      `MODE_BUG, MODE_STANDARD, MODE_VALIDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PwSurface()` Constructor.
    `PwSurface(PgSurface geom)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `compute()` Update the registered geometry based on the currently selected solid type.
    `int` | `getSurfaceType()` Get the name of the currently selected solid.
    `void` | `init()` Initialization.
    `void` | `reset()` Reset workshop and geometry to original state.
    `void` | `setGeometry(PgSurface geom)` Set geometry which will be filled with the currently selected solid.
    `boolean` | `setSurfaceType(int type)` Select a solid by specifying its type.

    - ### Methods inherited from class jvx.project.PjWorkshop

      `cancel, close, getDisplay, getDisplays, getGeometry, getMode, getSavedGeometry, getViewer, isModal, isStandalone, ok, removeGeometry, setDisplay, setDisplays, setGeometry, setModal, setMode, setStandalone, setViewer, update`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getFather, getName, setParent`

- - ### Constructor Detail

    - #### PwSurface

          public PwSurface()

      Constructor.

    - #### PwSurface

          public PwSurface(PgSurface geom)

      Constructor. Geometry will be overwritten with the data of the currently selected Platonic solid when the method compute() is invoked.

  - ### Method Detail

    - #### init

          public void init()

      Initialization.
      Overrides:
        `init` in class `PjWorkshop`

    - #### reset

          public void reset()

      Reset workshop and geometry to original state.
      Overrides:
        `reset` in class `PjWorkshop`

    - #### setGeometry

          public void setGeometry(PgSurface geom)

      Set geometry which will be filled with the currently selected solid.
      See Also:
        `setSurfaceType(int)`, `PjWorkshop.removeGeometry()`

    - #### getSurfaceType

          public int getSurfaceType()

      Get the name of the currently selected solid.
      Returns:
        a value like `PgSurfaceDescr.KLEINBOTTLE`.
      See Also:
        `getSurfaceType()`, `setSurfaceType(int)`

    - #### setSurfaceType

          public boolean setSurfaceType(int type)

      Select a solid by specifying its type. The set of types is available in PwSurface.
      Parameters:
        `type` - any value like `PgSurfaceDescr.KLEINBOTTLE`.
      See Also:
        `getSurfaceType()`

    - #### compute

          public boolean compute()

      Update the registered geometry based on the currently selected solid type.
      See Also:
        `setSurfaceType(int)`

"

The software JavaView? is copyright protected. All Rights Reserved.
"